<?php

/*
 * @version $Id: tinymce.php 12 2014-01-15 20:13:28Z hi $
 */

/*
 * hi_KCFinder for CMSimple
 *
 * Include file to enable and configure
 * KCFinder for TinyMCE.
 *
 * @author  Holger Irmler
 * @link    http://CMSimple.HolgerIrmler.de
 * @build   2014020701
 * @version 2.0.1
 * @date    2014-02-07
 * @package hi_kcfinder
 */



if (!function_exists('sv') || preg_match('/tinymce.php/i', sv('PHP_SELF')))
    die('Access denied');

function hi_kcfinder_tinymce_init() {
    global $pth, $hi_kcfLang;

    //if (!isset($_SESSION['xh_session'])) { return ''; }
    if (!XH_ADM) {
        return '';
    }

    //KCFinder - Init
    include_once($pth['folder']['plugins'] . 'hi_kcfinder/kcfinder_init.php');

    //hi_kcFinder thumb-folder
    $thumbdir = $_SESSION['KCFINDER']['thumbsDir'];

    //Callback-Function for TinyMCE
    $_SESSION['tinymce_fb_callback'] = 'openKCFinder';

    $kcfurl = CMSIMPLE_ROOT . 'plugins/hi_kcfinder/kcfinder/browse.php?opener=tinyMCE&prefix=' . CMSIMPLE_BASE . '&lang=' . $hi_kcfLang . '&thumbdir=' . $thumbdir;

    $script = file_get_contents(dirname(__FILE__) . '/filebrowser.js');
    $script = str_replace('%imgDir%', $_SESSION['KCFINDER']['dirImages'], $script);
    $script = str_replace('%fileDir%', $_SESSION['KCFINDER']['dirDownloads'], $script);
    $script = str_replace('%mediaDir%', $_SESSION['KCFINDER']['dirMedia'], $script);
    $script = str_replace('%KCFURL%', $kcfurl, $script);

    return $script;
}

?>